// Code generated by protoc-gen-go-grpc. DO NOT EDIT.
// versions:
// - protoc-gen-go-grpc v1.3.0
// - protoc             v4.22.3
// source: plugin.proto

package proto

import (
	context "context"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	emptypb "google.golang.org/protobuf/types/known/emptypb"
)

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
// Requires gRPC-Go v1.32.0 or later.
const _ = grpc.SupportPackageIsVersion7

const (
	TerminalUIService_Events_FullMethodName = "/martiancloud.phobos.sdk.TerminalUIService/Events"
)

// TerminalUIServiceClient is the client API for TerminalUIService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type TerminalUIServiceClient interface {
	Events(ctx context.Context, opts ...grpc.CallOption) (TerminalUIService_EventsClient, error)
}

type terminalUIServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewTerminalUIServiceClient(cc grpc.ClientConnInterface) TerminalUIServiceClient {
	return &terminalUIServiceClient{cc}
}

func (c *terminalUIServiceClient) Events(ctx context.Context, opts ...grpc.CallOption) (TerminalUIService_EventsClient, error) {
	stream, err := c.cc.NewStream(ctx, &TerminalUIService_ServiceDesc.Streams[0], TerminalUIService_Events_FullMethodName, opts...)
	if err != nil {
		return nil, err
	}
	x := &terminalUIServiceEventsClient{stream}
	return x, nil
}

type TerminalUIService_EventsClient interface {
	Send(*TerminalUI_Event) error
	Recv() (*emptypb.Empty, error)
	grpc.ClientStream
}

type terminalUIServiceEventsClient struct {
	grpc.ClientStream
}

func (x *terminalUIServiceEventsClient) Send(m *TerminalUI_Event) error {
	return x.ClientStream.SendMsg(m)
}

func (x *terminalUIServiceEventsClient) Recv() (*emptypb.Empty, error) {
	m := new(emptypb.Empty)
	if err := x.ClientStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// TerminalUIServiceServer is the server API for TerminalUIService service.
// All implementations must embed UnimplementedTerminalUIServiceServer
// for forward compatibility
type TerminalUIServiceServer interface {
	Events(TerminalUIService_EventsServer) error
	mustEmbedUnimplementedTerminalUIServiceServer()
}

// UnimplementedTerminalUIServiceServer must be embedded to have forward compatible implementations.
type UnimplementedTerminalUIServiceServer struct {
}

func (UnimplementedTerminalUIServiceServer) Events(TerminalUIService_EventsServer) error {
	return status.Errorf(codes.Unimplemented, "method Events not implemented")
}
func (UnimplementedTerminalUIServiceServer) mustEmbedUnimplementedTerminalUIServiceServer() {}

// UnsafeTerminalUIServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to TerminalUIServiceServer will
// result in compilation errors.
type UnsafeTerminalUIServiceServer interface {
	mustEmbedUnimplementedTerminalUIServiceServer()
}

func RegisterTerminalUIServiceServer(s grpc.ServiceRegistrar, srv TerminalUIServiceServer) {
	s.RegisterService(&TerminalUIService_ServiceDesc, srv)
}

func _TerminalUIService_Events_Handler(srv interface{}, stream grpc.ServerStream) error {
	return srv.(TerminalUIServiceServer).Events(&terminalUIServiceEventsServer{stream})
}

type TerminalUIService_EventsServer interface {
	Send(*emptypb.Empty) error
	Recv() (*TerminalUI_Event, error)
	grpc.ServerStream
}

type terminalUIServiceEventsServer struct {
	grpc.ServerStream
}

func (x *terminalUIServiceEventsServer) Send(m *emptypb.Empty) error {
	return x.ServerStream.SendMsg(m)
}

func (x *terminalUIServiceEventsServer) Recv() (*TerminalUI_Event, error) {
	m := new(TerminalUI_Event)
	if err := x.ServerStream.RecvMsg(m); err != nil {
		return nil, err
	}
	return m, nil
}

// TerminalUIService_ServiceDesc is the grpc.ServiceDesc for TerminalUIService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var TerminalUIService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "martiancloud.phobos.sdk.TerminalUIService",
	HandlerType: (*TerminalUIServiceServer)(nil),
	Methods:     []grpc.MethodDesc{},
	Streams: []grpc.StreamDesc{
		{
			StreamName:    "Events",
			Handler:       _TerminalUIService_Events_Handler,
			ServerStreams: true,
			ClientStreams: true,
		},
	},
	Metadata: "plugin.proto",
}

const (
	MetadataService_PluginMetadata_FullMethodName = "/martiancloud.phobos.sdk.MetadataService/PluginMetadata"
)

// MetadataServiceClient is the client API for MetadataService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type MetadataServiceClient interface {
	PluginMetadata(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*Metadata_Plugin, error)
}

type metadataServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewMetadataServiceClient(cc grpc.ClientConnInterface) MetadataServiceClient {
	return &metadataServiceClient{cc}
}

func (c *metadataServiceClient) PluginMetadata(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*Metadata_Plugin, error) {
	out := new(Metadata_Plugin)
	err := c.cc.Invoke(ctx, MetadataService_PluginMetadata_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// MetadataServiceServer is the server API for MetadataService service.
// All implementations must embed UnimplementedMetadataServiceServer
// for forward compatibility
type MetadataServiceServer interface {
	PluginMetadata(context.Context, *emptypb.Empty) (*Metadata_Plugin, error)
	mustEmbedUnimplementedMetadataServiceServer()
}

// UnimplementedMetadataServiceServer must be embedded to have forward compatible implementations.
type UnimplementedMetadataServiceServer struct {
}

func (UnimplementedMetadataServiceServer) PluginMetadata(context.Context, *emptypb.Empty) (*Metadata_Plugin, error) {
	return nil, status.Errorf(codes.Unimplemented, "method PluginMetadata not implemented")
}
func (UnimplementedMetadataServiceServer) mustEmbedUnimplementedMetadataServiceServer() {}

// UnsafeMetadataServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to MetadataServiceServer will
// result in compilation errors.
type UnsafeMetadataServiceServer interface {
	mustEmbedUnimplementedMetadataServiceServer()
}

func RegisterMetadataServiceServer(s grpc.ServiceRegistrar, srv MetadataServiceServer) {
	s.RegisterService(&MetadataService_ServiceDesc, srv)
}

func _MetadataService_PluginMetadata_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(emptypb.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(MetadataServiceServer).PluginMetadata(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: MetadataService_PluginMetadata_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(MetadataServiceServer).PluginMetadata(ctx, req.(*emptypb.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

// MetadataService_ServiceDesc is the grpc.ServiceDesc for MetadataService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var MetadataService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "martiancloud.phobos.sdk.MetadataService",
	HandlerType: (*MetadataServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "PluginMetadata",
			Handler:    _MetadataService_PluginMetadata_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "plugin.proto",
}

const (
	PipelineService_ConfigStruct_FullMethodName       = "/martiancloud.phobos.sdk.PipelineService/ConfigStruct"
	PipelineService_Configure_FullMethodName          = "/martiancloud.phobos.sdk.PipelineService/Configure"
	PipelineService_Shutdown_FullMethodName           = "/martiancloud.phobos.sdk.PipelineService/Shutdown"
	PipelineService_ActionOutputStruct_FullMethodName = "/martiancloud.phobos.sdk.PipelineService/ActionOutputStruct"
	PipelineService_ActionInputStruct_FullMethodName  = "/martiancloud.phobos.sdk.PipelineService/ActionInputStruct"
	PipelineService_ExecuteActionSpec_FullMethodName  = "/martiancloud.phobos.sdk.PipelineService/ExecuteActionSpec"
	PipelineService_ExecuteAction_FullMethodName      = "/martiancloud.phobos.sdk.PipelineService/ExecuteAction"
	PipelineService_Schema_FullMethodName             = "/martiancloud.phobos.sdk.PipelineService/Schema"
)

// PipelineServiceClient is the client API for PipelineService service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://pkg.go.dev/google.golang.org/grpc/?tab=doc#ClientConn.NewStream.
type PipelineServiceClient interface {
	ConfigStruct(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*Config_StructResp, error)
	Configure(ctx context.Context, in *Config_ConfigureRequest, opts ...grpc.CallOption) (*emptypb.Empty, error)
	Shutdown(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*emptypb.Empty, error)
	ActionOutputStruct(ctx context.Context, in *Pipeline_ActionOutputStructRequest, opts ...grpc.CallOption) (*Config_StructResp, error)
	ActionInputStruct(ctx context.Context, in *Pipeline_ActionInputStructRequest, opts ...grpc.CallOption) (*Config_StructResp, error)
	ExecuteActionSpec(ctx context.Context, in *Pipeline_ExecuteActionSpecRequest, opts ...grpc.CallOption) (*FuncSpec, error)
	ExecuteAction(ctx context.Context, in *Pipeline_ExecuteActionRequest, opts ...grpc.CallOption) (*Pipeline_ExecuteActionResponse, error)
	Schema(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*Pipeline_SchemaResponse, error)
}

type pipelineServiceClient struct {
	cc grpc.ClientConnInterface
}

func NewPipelineServiceClient(cc grpc.ClientConnInterface) PipelineServiceClient {
	return &pipelineServiceClient{cc}
}

func (c *pipelineServiceClient) ConfigStruct(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*Config_StructResp, error) {
	out := new(Config_StructResp)
	err := c.cc.Invoke(ctx, PipelineService_ConfigStruct_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) Configure(ctx context.Context, in *Config_ConfigureRequest, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, PipelineService_Configure_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) Shutdown(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*emptypb.Empty, error) {
	out := new(emptypb.Empty)
	err := c.cc.Invoke(ctx, PipelineService_Shutdown_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) ActionOutputStruct(ctx context.Context, in *Pipeline_ActionOutputStructRequest, opts ...grpc.CallOption) (*Config_StructResp, error) {
	out := new(Config_StructResp)
	err := c.cc.Invoke(ctx, PipelineService_ActionOutputStruct_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) ActionInputStruct(ctx context.Context, in *Pipeline_ActionInputStructRequest, opts ...grpc.CallOption) (*Config_StructResp, error) {
	out := new(Config_StructResp)
	err := c.cc.Invoke(ctx, PipelineService_ActionInputStruct_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) ExecuteActionSpec(ctx context.Context, in *Pipeline_ExecuteActionSpecRequest, opts ...grpc.CallOption) (*FuncSpec, error) {
	out := new(FuncSpec)
	err := c.cc.Invoke(ctx, PipelineService_ExecuteActionSpec_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) ExecuteAction(ctx context.Context, in *Pipeline_ExecuteActionRequest, opts ...grpc.CallOption) (*Pipeline_ExecuteActionResponse, error) {
	out := new(Pipeline_ExecuteActionResponse)
	err := c.cc.Invoke(ctx, PipelineService_ExecuteAction_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *pipelineServiceClient) Schema(ctx context.Context, in *emptypb.Empty, opts ...grpc.CallOption) (*Pipeline_SchemaResponse, error) {
	out := new(Pipeline_SchemaResponse)
	err := c.cc.Invoke(ctx, PipelineService_Schema_FullMethodName, in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// PipelineServiceServer is the server API for PipelineService service.
// All implementations must embed UnimplementedPipelineServiceServer
// for forward compatibility
type PipelineServiceServer interface {
	ConfigStruct(context.Context, *emptypb.Empty) (*Config_StructResp, error)
	Configure(context.Context, *Config_ConfigureRequest) (*emptypb.Empty, error)
	Shutdown(context.Context, *emptypb.Empty) (*emptypb.Empty, error)
	ActionOutputStruct(context.Context, *Pipeline_ActionOutputStructRequest) (*Config_StructResp, error)
	ActionInputStruct(context.Context, *Pipeline_ActionInputStructRequest) (*Config_StructResp, error)
	ExecuteActionSpec(context.Context, *Pipeline_ExecuteActionSpecRequest) (*FuncSpec, error)
	ExecuteAction(context.Context, *Pipeline_ExecuteActionRequest) (*Pipeline_ExecuteActionResponse, error)
	Schema(context.Context, *emptypb.Empty) (*Pipeline_SchemaResponse, error)
	mustEmbedUnimplementedPipelineServiceServer()
}

// UnimplementedPipelineServiceServer must be embedded to have forward compatible implementations.
type UnimplementedPipelineServiceServer struct {
}

func (UnimplementedPipelineServiceServer) ConfigStruct(context.Context, *emptypb.Empty) (*Config_StructResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ConfigStruct not implemented")
}
func (UnimplementedPipelineServiceServer) Configure(context.Context, *Config_ConfigureRequest) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Configure not implemented")
}
func (UnimplementedPipelineServiceServer) Shutdown(context.Context, *emptypb.Empty) (*emptypb.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Shutdown not implemented")
}
func (UnimplementedPipelineServiceServer) ActionOutputStruct(context.Context, *Pipeline_ActionOutputStructRequest) (*Config_StructResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ActionOutputStruct not implemented")
}
func (UnimplementedPipelineServiceServer) ActionInputStruct(context.Context, *Pipeline_ActionInputStructRequest) (*Config_StructResp, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ActionInputStruct not implemented")
}
func (UnimplementedPipelineServiceServer) ExecuteActionSpec(context.Context, *Pipeline_ExecuteActionSpecRequest) (*FuncSpec, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ExecuteActionSpec not implemented")
}
func (UnimplementedPipelineServiceServer) ExecuteAction(context.Context, *Pipeline_ExecuteActionRequest) (*Pipeline_ExecuteActionResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ExecuteAction not implemented")
}
func (UnimplementedPipelineServiceServer) Schema(context.Context, *emptypb.Empty) (*Pipeline_SchemaResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method Schema not implemented")
}
func (UnimplementedPipelineServiceServer) mustEmbedUnimplementedPipelineServiceServer() {}

// UnsafePipelineServiceServer may be embedded to opt out of forward compatibility for this service.
// Use of this interface is not recommended, as added methods to PipelineServiceServer will
// result in compilation errors.
type UnsafePipelineServiceServer interface {
	mustEmbedUnimplementedPipelineServiceServer()
}

func RegisterPipelineServiceServer(s grpc.ServiceRegistrar, srv PipelineServiceServer) {
	s.RegisterService(&PipelineService_ServiceDesc, srv)
}

func _PipelineService_ConfigStruct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(emptypb.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).ConfigStruct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_ConfigStruct_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).ConfigStruct(ctx, req.(*emptypb.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_Configure_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Config_ConfigureRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).Configure(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_Configure_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).Configure(ctx, req.(*Config_ConfigureRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_Shutdown_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(emptypb.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).Shutdown(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_Shutdown_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).Shutdown(ctx, req.(*emptypb.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_ActionOutputStruct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Pipeline_ActionOutputStructRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).ActionOutputStruct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_ActionOutputStruct_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).ActionOutputStruct(ctx, req.(*Pipeline_ActionOutputStructRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_ActionInputStruct_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Pipeline_ActionInputStructRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).ActionInputStruct(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_ActionInputStruct_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).ActionInputStruct(ctx, req.(*Pipeline_ActionInputStructRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_ExecuteActionSpec_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Pipeline_ExecuteActionSpecRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).ExecuteActionSpec(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_ExecuteActionSpec_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).ExecuteActionSpec(ctx, req.(*Pipeline_ExecuteActionSpecRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_ExecuteAction_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Pipeline_ExecuteActionRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).ExecuteAction(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_ExecuteAction_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).ExecuteAction(ctx, req.(*Pipeline_ExecuteActionRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _PipelineService_Schema_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(emptypb.Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(PipelineServiceServer).Schema(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: PipelineService_Schema_FullMethodName,
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(PipelineServiceServer).Schema(ctx, req.(*emptypb.Empty))
	}
	return interceptor(ctx, in, info, handler)
}

// PipelineService_ServiceDesc is the grpc.ServiceDesc for PipelineService service.
// It's only intended for direct use with grpc.RegisterService,
// and not to be introspected or modified (even as a copy)
var PipelineService_ServiceDesc = grpc.ServiceDesc{
	ServiceName: "martiancloud.phobos.sdk.PipelineService",
	HandlerType: (*PipelineServiceServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "ConfigStruct",
			Handler:    _PipelineService_ConfigStruct_Handler,
		},
		{
			MethodName: "Configure",
			Handler:    _PipelineService_Configure_Handler,
		},
		{
			MethodName: "Shutdown",
			Handler:    _PipelineService_Shutdown_Handler,
		},
		{
			MethodName: "ActionOutputStruct",
			Handler:    _PipelineService_ActionOutputStruct_Handler,
		},
		{
			MethodName: "ActionInputStruct",
			Handler:    _PipelineService_ActionInputStruct_Handler,
		},
		{
			MethodName: "ExecuteActionSpec",
			Handler:    _PipelineService_ExecuteActionSpec_Handler,
		},
		{
			MethodName: "ExecuteAction",
			Handler:    _PipelineService_ExecuteAction_Handler,
		},
		{
			MethodName: "Schema",
			Handler:    _PipelineService_Schema_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "plugin.proto",
}
